%define _requires_exceptions libnspr4\\|libplc4\\|libplds4\\|libnss\\|libsmime3\\|libsoftokn\\|libssl3\\|libgtkembedmoz\\|libxpcom

%define lib_major 0
%define api_version 1
%define libname %mklibname %{name}- %{api_version} %{lib_major}
%define libnamedev %mklibname -d %{name}- %{api_version}

%define build_with_firefox 1

# Build with mozilla instead of firefox
%{?_with_mozilla: %global build_with_firefox 0}
%{?_without_mozilla: %global build_with_firefox 1}

%if %build_with_firefox
%define firefox_version %(rpm -q mozilla-firefox --queryformat %{VERSION})
%endif

Summary:	API documentation browser for developers
Name:		devhelp
Version:	0.19
Release:	%mkrel 3
License:	GPL
Group:		Development/Other
URL:		http://www.imendio.com/projects/devhelp/
Source0:	http://ftp.gnome.org/pub/GNOME/sources/devhelp/%{name}-%{version}.tar.bz2

BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
%if %{build_with_firefox}
%if %mdkversion < 200700
Requires:	mozilla-firefox = %firefox_version
%else 
Requires: 	%mklibname mozilla-firefox %{firefox_version}
%endif
%else
Requires:	mozilla = %(rpm -q mozilla --queryformat %{VERSION})
%endif
BuildRequires:	libwnck-devel
BuildRequires:	gtk+2-devel >= 2.3.1
BuildRequires:	libglade2.0-devel
BuildRequires:	libGConf2-devel
%if %{build_with_firefox}
BuildRequires:  mozilla-firefox-devel
%else
BuildRequires:	mozilla-devel 
%endif
BuildRequires:	ImageMagick
BuildRequires:  intltool
BuildRequires:  desktop-file-utils

Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils

%description
Devhelp is an API documentation browser for GNOME 2. It works
natively with Gtk-doc (System used in GTK+ and GNOME for
documentating APIs) and it is possible to create books for other
documentation as well.

%package -n %{libname}
Summary:	Dynamic libraries for devhelp
Group:		%{group}
Requires:	%{name} >= %{version}

%description -n %{libname}
this package contains dynamic libraries for devhelp.


%package -n %{libnamedev}
Summary:	Static libraries, include files for devhelp
Group:		Development/GNOME and GTK+
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-%{api_version}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Requires:	%{name} = %{version}-%{release}
Obsoletes:  %mklibname -d %{name}- 1 0

%description -n %{libnamedev}
Static library and headers file for devhelp.

%package -n %{name}-plugins
Summary:	Gedit Plugins for Devhelp
Group:		Editors
Requires:	gedit

%description -n %{name}-plugins
Gedit plugins to use with Devhelp.

%prep
%setup -q
touch *

%build
%configure2_5x --disable-install-schemas \
%if %{build_with_firefox}
%if %mdkversion < 200710
--with-mozilla=mozilla-firefox 
%endif
%endif

%make

%install
rm -rf %{buildroot}

%makeinstall_std

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-MoreApplications-Development-Tools" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/devhelp.desktop

# owns this dir
mkdir -p %{buildroot}%{_datadir}/%{name}/books

%find_lang %{name}

%clean
rm -rf %{buildroot}

%post
%define schemas devhelp
%post_install_gconf_schemas %schemas

%preun
%preun_uninstall_gconf_schemas %schemas

%postun

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README INSTALL
%_sysconfdir/gconf/schemas/devhelp.schemas
%{_bindir}/*
%{_datadir}/applications/*
%{_datadir}/devhelp
%{_datadir}/icons/hicolor/*

%files -n %{libname}
%defattr(-, root, root)
%{_libdir}/libdevhelp-%{api_version}.so.%{lib_major}*

%files -n %{libnamedev}
%defattr(-, root, root)
%{_libdir}/*.so
%{_libdir}/*a
%{_libdir}/pkgconfig/*
%{_includedir}/devhelp-1.0

%files -n %{name}-plugins
%defattr(-, root, root)
%{_libdir}/gedit-2/plugins/




%changelog
* Wed Mar 26 2008 Götz Waschk <waschk@mandriva.org> 0.19-3mdv2008.1
+ Revision: 190444
- rebuild for firefox 2.0.0.13

* Sat Feb 09 2008 Funda Wang <fundawang@mandriva.org> 0.19-2mdv2008.1
+ Revision: 164624
- rebuild for new FF

* Thu Feb 07 2008 Götz Waschk <waschk@mandriva.org> 0.19-1mdv2008.1
+ Revision: 163554
- new version

* Wed Jan 30 2008 Götz Waschk <waschk@mandriva.org> 0.18-1mdv2008.1
+ Revision: 160191
- new version

* Mon Jan 07 2008 Götz Waschk <waschk@mandriva.org> 0.17-1mdv2008.1
+ Revision: 146329
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Dec 12 2007 Götz Waschk <waschk@mandriva.org> 0.16.1-4mdv2008.1
+ Revision: 117693
- rebuild for new firefox

* Thu Nov 08 2007 Götz Waschk <waschk@mandriva.org> 0.16.1-3mdv2008.1
+ Revision: 106854
- rebuild for new firefox

* Thu Oct 18 2007 Funda Wang <fundawang@mandriva.org> 0.16.1-2mdv2008.1
+ Revision: 99852
- rebuild against FF 2.0.0.7

* Sat Oct 06 2007 Götz Waschk <waschk@mandriva.org> 0.16.1-1mdv2008.1
+ Revision: 95659
- new version

* Mon Sep 10 2007 Götz Waschk <waschk@mandriva.org> 0.16-1mdv2008.0
+ Revision: 84196
- new version

* Wed Aug 01 2007 Götz Waschk <waschk@mandriva.org> 0.15-3mdv2008.0
+ Revision: 57615
- new devel name

* Tue Jun 19 2007 Götz Waschk <waschk@mandriva.org> 0.15-2mdv2008.0
+ Revision: 41353
- new version

* Wed May 16 2007 Götz Waschk <waschk@mandriva.org> 0.14-1mdv2008.0
+ Revision: 27199
- new version
- fix file list
- drop oldskool menu


* Fri Mar 23 2007 Götz Waschk <waschk@mandriva.org> 0.13-3mdv2007.1
+ Revision: 148369
- rebuild for new firefox

* Wed Feb 28 2007 Götz Waschk <waschk@mandriva.org> 0.13-2mdv2007.1
+ Revision: 126930
- rebuild
- new version
- drop patch
- fix build

* Fri Jan 12 2007 Frederic Crozat <fcrozat@mandriva.com> 0.12-7mdv2007.1
+ Revision: 107781
- Rebuild with FF 2.0.0.1

* Tue Oct 17 2006 Götz Waschk <waschk@mandriva.org> 0.12-6mdv2006.0
+ Revision: 65544
- Import devhelp

* Tue Oct 17 2006 Gtz Waschk <waschk@mandriva.org> 0.12-6mdv2007.1
- unpack patch
- fix buildrequires

* Sat Sep 16 2006 Frederic Crozat <fcrozat@mandriva.com> 0.12-5mdv2007.0
- Fix menu category
- Rebuild with latest firefox

* Wed Sep 13 2006 Frederic Crozat <fcrozat@mandriva.com> 0.12-4mdv2007.0
- Patch1 (CVS): various bug fixes from CVS

* Sat Aug 05 2006 Jerome Soyer <saispo@mandriva.org> 0.12-3mdv2007.0
- Rebuild for latest FF

* Mon Jul 31 2006 Jerome Soyer <saispo@mandriva.org> 0.12-2mdv2007.0
- Rebuild for latest FF

* Sun Jul 30 2006 Jerome Soyer <saispo@mandriva.org> 0.12-1mdv2007.0
- New release 0.12

* Mon Jun 26 2006 trem <trem@mandriva.org> 0.11-5mdv2007.0
- rebuild with latest FF

* Sat Jun 10 2006 Frederic Crozat <fcrozat@mandriva.com> 0.11-4mdv2007.0
- rebuild with latest FF

* Sat May 06 2006 Gtz Waschk <waschk@mandriva.org> 0.11-3mdk
- fix buildrequires

* Fri May 05 2006 Frederic Crozat <fcrozat@mandriva.com> 0.11-2mdk
- Rebuild with latest firefox

* Sat Apr 29 2006 Jerome Soyer <saispo@mandriva.org> 0.11-1mdk
- New release 0.11

* Sat Apr 22 2006 Frederic Crozat <fcrozat@mandriva.com> 0.10-8mdk
- Rebuild with latest firefox

* Mon Feb 06 2006 Oden Eriksson <oeriksson@mandriva.com> 0.10-7mdk
- rebuild

* Tue Jan 10 2006 Frederic Crozat <fcrozat@mandriva.com> 0.10-6mdk
- mkrel
- Rebuild with FF 1.5
- replace hardcoded version of firefox with the one available at compile time

* Wed Oct 26 2005 Frederic Crozat <fcrozat@mandriva.com> 0.10-5mdk
- Rebuild with FF 1.0.7

* Sat Jul 30 2005 Frederic Crozat <fcrozat@mandriva.com> 0.10-4mdk 
- Rebuild with FF 1.0.6

* Thu May 26 2005 Frederic Crozat <fcrozat@mandriva.com> 0.10-3mdk 
- Rebuild with FF 1.0.4

* Fri May 20 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.10-2mdk
- used requires_exceptions to be able to install (nspr & moz provide pb)

* Tue May 10 2005 Frederic Crozat <fcrozat@mandriva.com> 0.10-1mdk 
- Release 0.10

* Fri Mar 25 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.3-7mdk 
- Rebuild with firefox 1.0.2

* Wed Mar 02 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.3-6mdk 
- Rebuild with firefox 1.0.1

* Tue Feb 22 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.3-5mdk 
- Patch0: allow build with firefox
- Build with firefox

* Wed Jan 05 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.3-4mdk 
- Rebuild with latest howl

* Mon Dec 20 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.3-3mdk 
- Rebuild with mozilla 1.7.5

* Mon Nov 22 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.3-2mdk
- Rebuild with mozilla 1.7.3 (Mdk bug #12460)

* Sat Oct 23 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.9.3-1mdk
- drop patch
- New release 0.9.3

* Tue Sep 28 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.9.2-1mdk
- New release 0.9.2

* Fri Aug 27 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.1-3mdk
- Fix menu

* Thu Aug 19 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.1-2mdk
- Rebuild with mozilla 1.7.2

* Mon Jul 26 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.9.1-1mdk
- drop patch 1
- fix source URL
- New release 0.9.1

* Wed Jul 21 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9-5mdk
- Rebuild against mozilla 1.7 final

* Sun Jun 06 2004 Abel Cheung <deaddog@deaddog.org> 0.9-4mdk
- Rebuild with new gcc

* Mon May 31 2004 Abel Cheung <deaddog@deaddog.org> 0.9-3mdk
- [DIRM]
- enable libtoolize

* Sat May 01 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9-2mdk
- Patch0 : add includes for latest mozilla
- Enforce mozilla dependency, so we notice when mozilla release has changed

* Thu Apr 08 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9-1mdk
- Release 0.9 (with Gtz help)
- add gconf schemas
- needs new gtk
- requires mozilla instead of gtkhtml

